Bug 1881879 - [IPI BAREMETAL] After reboot worker stuck on Ready,SchedulingDisabled
Summary: [IPI BAREMETAL] After reboot worker stuck on Ready,SchedulingDisabled
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.7.0
Assignee: Beth White
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-23 09:52 UTC by Ori Michaeli
Modified: 2020-10-14 13:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-14 13:54:30 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ori Michaeli 2020-09-23 09:52:48 UTC
Description of problem:
After drain and reboot, worker node is stuck on Ready,SchedulingDisabled status.

Version-Release number of the following components:
4.6.0-0.nightly-2020-09-22-130743


How reproducible:
Happens on both VBM and BM.

Steps to Reproduce:
1. oc adm drain openshift-worker-1 --delete-local-data --ignore-daemonsets --force
2. ssh core@openshift-worker-1.ocp-edge.lab.eng.tlv2.redhat.com sudo reboot
3. wait until node is rebooted and becomes Ready.

Actual results:
Node is stuck on Ready,SchedulingDisabled status.

Expected results:
Node becomes Ready and scheduable.

Additional info:
Will add must-gather


Note You need to log in before you can comment on or make changes to this bug.